Intermittent toolkit/components/passwordmgr/test/mochitest/test_basic_form_autocomplete.html,test_insecure_form_field_autocomplete.html | | Checking form1 password is: testpass2 - got "", expected "testpass2"

RESOLVED FIXED in Firefox 57

Status

()

P5
normal
RESOLVED FIXED
a year ago
a year ago

People

(Reporter: intermittent-bug-filer, Unassigned)

Tracking

({intermittent-failure, regression})

unspecified
mozilla57
intermittent-failure, regression
Points:
---

Firefox Tracking Flags

(firefox-esr52 unaffected, firefox55 unaffected, firefox56 unaffected, firefox57 fixed)

Details

(Whiteboard: [stockwell fixed:product])

(Reporter)

Description

a year ago
treeherder
Filed by: archaeopteryx [at] coole-files.de

https://treeherder.mozilla.org/logviewer.html#?job_id=130316178&repo=mozilla-inbound

https://queue.taskcluster.net/v1/task/Iap6WDruToidrGIsZ_5Phg/runs/0/artifacts/public/logs/live_backing.log

[task 2017-09-12T11:30:04.933022Z] 11:30:04     INFO - SpawnTask.js | Entering test test_form1_first_entry
[task 2017-09-12T11:30:04.935135Z] 11:30:04     INFO - TEST-PASS | toolkit/components/passwordmgr/test/mochitest/test_basic_form_autocomplete.html | Check no entries are selected upon opening 
[task 2017-09-12T11:30:04.939812Z] 11:30:04     INFO - TEST-PASS | toolkit/components/passwordmgr/test/mochitest/test_basic_form_autocomplete.html | Checking form1 username is:  
[task 2017-09-12T11:30:04.950784Z] 11:30:04     INFO - TEST-PASS | toolkit/components/passwordmgr/test/mochitest/test_basic_form_autocomplete.html | Checking form1 password is:  
[task 2017-09-12T11:30:04.953321Z] 11:30:04     INFO - TEST-PASS | toolkit/components/passwordmgr/test/mochitest/test_basic_form_autocomplete.html | Checking form1 username is: tempuser1 
[task 2017-09-12T11:30:04.957360Z] 11:30:04     INFO - TEST-PASS | toolkit/components/passwordmgr/test/mochitest/test_basic_form_autocomplete.html | Checking form1 password is: temppass1 
[task 2017-09-12T11:30:04.960283Z] 11:30:04     INFO - SpawnTask.js | Leaving test test_form1_first_entry
[task 2017-09-12T11:30:04.964416Z] 11:30:04     INFO - SpawnTask.js | Entering test test_form1_second_entry
[task 2017-09-12T11:30:04.969574Z] 11:30:04     INFO - Buffered messages logged at 11:30:02
[task 2017-09-12T11:30:04.973849Z] 11:30:04     INFO - TEST-PASS | toolkit/components/passwordmgr/test/mochitest/test_basic_form_autocomplete.html | Checking form1 username is: testuser2 
[task 2017-09-12T11:30:04.977714Z] 11:30:04     INFO - Buffered messages finished
[task 2017-09-12T11:30:04.981537Z] 11:30:04     INFO - TEST-UNEXPECTED-FAIL | toolkit/components/passwordmgr/test/mochitest/test_basic_form_autocomplete.html | Checking form1 password is: testpass2 - got "", expected "testpass2"
[task 2017-09-12T11:30:04.986687Z] 11:30:04     INFO -     SimpleTest.is@SimpleTest/SimpleTest.js:312:5
[task 2017-09-12T11:30:04.992476Z] 11:30:04     INFO -     checkACForm@toolkit/components/passwordmgr/test/mochitest/test_basic_form_autocomplete.html:200:3
[task 2017-09-12T11:30:04.994794Z] 11:30:04     INFO -     test_form1_second_entry@toolkit/components/passwordmgr/test/mochitest/test_basic_form_autocomplete.html:280:3
[task 2017-09-12T11:30:04.997000Z] 11:30:04     INFO -     async*add_task/</<@SimpleTest/SpawnTask.js:298:21
[task 2017-09-12T11:30:04.999468Z] 11:30:04     INFO -     onFulfilled@SimpleTest/SpawnTask.js:69:15
[task 2017-09-12T11:30:05.002689Z] 11:30:05     INFO -     promise callback*next@SimpleTest/SpawnTask.js:104:45
[task 2017-09-12T11:30:05.006131Z] 11:30:05     INFO -     onFulfilled@SimpleTest/SpawnTask.js:73:7
[task 2017-09-12T11:30:05.014174Z] 11:30:05     INFO -     promise callback*next@SimpleTest/SpawnTask.js:104:45
[task 2017-09-12T11:30:05.016265Z] 11:30:05     INFO -     onFulfilled@SimpleTest/SpawnTask.js:73:7
[task 2017-09-12T11:30:05.022134Z] 11:30:05     INFO -     promise callback*next@SimpleTest/SpawnTask.js:104:45
[task 2017-09-12T11:30:05.024388Z] 11:30:05     INFO -     onFulfilled@SimpleTest/SpawnTask.js:73:7
[task 2017-09-12T11:30:05.026415Z] 11:30:05     INFO -     promise callback*next@SimpleTest/SpawnTask.js:104:45
[task 2017-09-12T11:30:05.030123Z] 11:30:05     INFO -     onFulfilled@SimpleTest/SpawnTask.js:73:7
[task 2017-09-12T11:30:05.032124Z] 11:30:05     INFO -     co/<@SimpleTest/SpawnTask.js:58:5
[task 2017-09-12T11:30:05.033921Z] 11:30:05     INFO -     co@SimpleTest/SpawnTask.js:54:10
[task 2017-09-12T11:30:05.037194Z] 11:30:05     INFO -     setTimeout handler*SimpleTest_setTimeoutShim@SimpleTest/SimpleTest.js:676:12
[task 2017-09-12T11:30:05.039306Z] 11:30:05     INFO -     add_task@SimpleTest/SpawnTask.js:271:7
[task 2017-09-12T11:30:05.043493Z] 11:30:05     INFO -     @toolkit/components/passwordmgr/test/mochitest/test_basic_form_autocomplete.html:213:1
[task 2017-09-12T11:30:05.045872Z] 11:30:05     INFO - SpawnTask.js | Leaving test test_form1_second_entry
[task 2017-09-12T11:30:05.051586Z] 11:30:05     INFO - SpawnTask.js | Entering test test_form1_third_entry
[task 2017-09-12T11:30:05.054579Z] 11:30:05     INFO - GECKO(3603) | JavaScript error: resource://formautofill/FormAutofillHandler.jsm, line 182: TypeError: fieldDetail is undefined
[task 2017-09-12T11:30:05.056825Z] 11:30:05     INFO - GECKO(3603) | JavaScript error: resource://formautofill/FormAutofillHandler.jsm, line 182: TypeError: fieldDetail is undefined
Summary: Intermittent toolkit/components/passwordmgr/test/mochitest/test_basic_form_autocomplete.html | Checking form1 password is: testpass2 - got "", expected "testpass2" → Intermittent toolkit/components/passwordmgr/test/mochitest/test_basic_form_autocomplete.html,test_insecure_form_field_autocomplete.html | | Checking form1 password is: testpass2 - got "", expected "testpass2"
I've been starring failures that affect this test but they fail checking "zzzpass4" rather than "testpass2". Do those need to be split out into a separate bug?
27 failures in 247 pushes (0.109 failures/push) were associated with this bug yesterday.   

Repository breakdown:
* autoland: 14
* mozilla-inbound: 9
* try: 3
* mozilla-central: 1

Platform breakdown:
* linux64: 17
* linux32: 9
* linux32-stylo-disabled: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1399098&startday=2017-09-13&endday=2017-09-13&tree=all
Whiteboard: [stockwell needswork]
65 failures in 191 pushes (0.34 failures/push) were associated with this bug yesterday.    

Repository breakdown:
* autoland: 24
* mozilla-inbound: 20
* try: 11
* mozilla-central: 10

Platform breakdown:
* linux64: 30
* linux32: 20
* linux64-stylo-disabled: 9
* osx-10-10: 3
* linux32-stylo-disabled: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1399098&startday=2017-09-14&endday=2017-09-14&tree=all
44 failures in 149 pushes (0.295 failures/push) were associated with this bug yesterday.    

Repository breakdown:
* autoland: 27
* mozilla-inbound: 10
* mozilla-central: 3
* try: 2
* mozilla-beta: 2

Platform breakdown:
* linux64: 25
* linux32: 12
* linux64-stylo-disabled: 5
* linux32-stylo-disabled: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1399098&startday=2017-09-15&endday=2017-09-15&tree=all
37 failures in 75 pushes (0.493 failures/push) were associated with this bug yesterday.    

** This test has failed more than 200 times in the last 30 days. It should be disabled until it can be fixed. ** 

Repository breakdown:
* autoland: 15
* mozilla-inbound: 11
* mozilla-central: 6
* mozilla-beta: 5

Platform breakdown:
* linux64: 26
* linux32: 8
* linux64-stylo-disabled: 2
* linux32-stylo-disabled: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1399098&startday=2017-09-16&endday=2017-09-16&tree=all
Whiteboard: [stockwell needswork] → [stockwell disable-recommended]

Comment 8

a year ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/dae0e793707f
Status: NEW → RESOLVED
Last Resolved: a year ago
status-firefox57: --- → fixed
Resolution: --- → FIXED
Target Milestone: --- → mozilla57
227 failures in 1032 pushes (0.22 failures/push) were associated with this bug in the last 7 days. 

This is the #4 most frequent failure this week. 

** This failure happened more than 75 times this week! Resolving this bug is a very high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 1 week, the affected test(s) may be disabled. **   

Repository breakdown:
* autoland: 90
* mozilla-inbound: 66
* mozilla-central: 44
* try: 20
* mozilla-beta: 7

Platform breakdown:
* linux64: 127
* linux32: 65
* linux64-stylo-disabled: 19
* linux32-stylo-disabled: 12
* osx-10-10: 2
* windows7-32: 1
* linux64-ccov: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1399098&startday=2017-09-11&endday=2017-09-17&tree=all
Flags: needinfo?(kmaglione+bmo)
status-firefox55: --- → unaffected
status-firefox56: --- → unaffected
status-firefox-esr52: --- → unaffected
1 failures in 943 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* try: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1399098&startday=2017-09-18&endday=2017-09-24&tree=all
Whiteboard: [stockwell disable-recommended] → [stockwell fixed:product]
You need to log in before you can comment on or make changes to this bug.